Verify email
curl --request GET \
--url https://api.creditor.younegotiate.com/auth/email/verify/{id}/{hash}import requests
url = "https://api.creditor.younegotiate.com/auth/email/verify/{id}/{hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.creditor.younegotiate.com/auth/email/verify/{id}/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": 123,
"name": "<string>",
"email": "jsmith@example.com"
},
"meta": {
"access_token": "<string>",
"refresh_token": "<string>",
"token_type": "Bearer",
"access_token_expires_at": "2023-11-07T05:31:56Z",
"refresh_token_expires_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Verify email
Verify a creditor email address from a signed verification URL.
GET
/
auth
/
email
/
verify
/
{id}
/
{hash}
Verify email
Path Parameters
Creditor user ID from the signed verification URL.
Email hash from the signed verification URL.
Query Parameters
Signed URL expiration timestamp.
Laravel signed URL signature.
Last modified on July 20, 2026
Was this page helpful?
⌘I

